Skip to main content
GET
Search Events

Authorizations

X-Access-Token
string
header
required

Path Parameters

conversation_id
string
required

Query Parameters

kind__eq
enum<string> | null
Available options:
ServerErrorEvent,
ACPToolCallEvent,
Condensation,
CondensationRequest,
CondensationSummaryEvent,
ConversationErrorEvent,
ConversationStateUpdateEvent,
HookExecutionEvent,
LLMCompletionLogEvent,
ActionEvent,
MessageEvent,
AgentErrorEvent,
ObservationEvent,
UserRejectObservation,
SystemPromptEvent,
StreamingDeltaEvent,
TokenEvent,
InterruptEvent,
PauseEvent
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null
sort_order
enum<string>
default:TIMESTAMP

Enum for event sorting options.

Available options:
TIMESTAMP,
TIMESTAMP_DESC
page_id
string | null
limit
integer
default:100
Required range: x <= 100

Response

Successful Response

items
(ServerErrorEvent · object | ACPToolCallEvent · object | Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | HookExecutionEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | StreamingDeltaEvent · object | TokenEvent · object | InterruptEvent · object | PauseEvent · object)[]
required

Event emitted by the agent server when a server-level error occurs.

This event is used for errors that originate from the agent server itself, such as MCP connection failures, WebSocket errors, or other infrastructure issues. Unlike ConversationErrorEvent which is for conversation-level failures, this event indicates a problem with the server environment.

next_page_id
string | null